@use 'spaces';

$justify-types: 'start', 'end', 'center', 'between', 'around';
$justify: (
  'start': flex-start,
  'end': flex-end,
  'center': center,
  'between': space-between,
  'around': space-around,
);
$align-types: 'start', 'end', 'center', 'baseline', 'stretch';
$align: (
  'start': flex-start,
  'end': flex-end,
  'center': center,
  'baseline': baseline,
  'stretch': stretch,
);

.flex,
.flex-center {
  display: flex;
}

.inline-flex {
  display: inline-flex;
}

.flex,
.inline-flex {
  @each $type in $justify-types {
    &.justify-#{$type} {
      justify-content: map-get($justify, $type);
    }
  }

  @each $type in $align-types {
    &.items-#{$type} {
      align-items: map-get($align, $type);
    }
  }

  @each $classSize, $size in spaces.$sizes {
    &.gap-#{$classSize} {
      gap: #{$size};
    }
  }
}

.flex-center {
  justify-content: center;
  align-items: center;
}

.column {
  flex-direction: column;
}

.row-reverse {
  flex-direction: row-reverse;
}

.no-wrap {
  flex-wrap: nowrap;
}

.wrap {
  flex-wrap: wrap;
}

.lg-space-between-two-childs {
  display: flex;
  justify-content: space-between;

  > * {
    width: calc(50% - (var(--32) / 2));
  }
}

.flex-1 {
  flex: 1;
}
